﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" CodeBehind="Main.aspx.vb" Inherits="CronoWEB.Main" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
     
    <script id="igClientScript" type="text/javascript">
        function repaintTileList(sender, args) {
            var tileList = getTileList();
            var viewPortSize = $telerik.getClientBounds();
            //check if we have a tileList and whether the viewport width is sufficient to put it in desktop mode
            //you can also add a check whether the container is visible in case you plan to hide it
            //if (tileList && viewPortSize.width > 768) {
                //set the available height to the TileList
                tileList.set_height(viewPortSize.height - 75);
                tileList.repaint();
            //}
            Sys.Application.remove_load(repaintTileList);
        }
        //the window resize handling is needed for viewport height changes in desktop mode if you need the tile rows to change
        var TO = false;
        $telerik.$(window).resize(function () {
            if (TO !== false)
                clearTimeout(TO);
            TO = setTimeout(repaintTileList, 200); //200 is time in milliseconds that will pass before repaintTileList is called
        });
        //update the TileList on the initial load
        Sys.Application.add_load(repaintTileList);
        function getTileList() {
            return $find("<%= RadTileList1.ClientID %>");
        }
    </script>

    <telerik:RadTileList ID="RadTileList1" runat="server" TileRows="0" SelectionMode="Single" Height="200px" Width="100%" RenderMode="Classic"> 
        <Groups>
            <telerik:TileGroup Title="Loyalty">                
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Height="170px" NavigateUrl="~/Protected/Loyalty/LoyaltyClienti.aspx">
                    <ContentTemplate>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:130px 40px;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image8" runat="server" ImageUrl="~/Images/ClienteFid128.png" />
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblLoyaltyClienti" runat="server" Font-Size="20px" Text="Clienti"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Height="170px" NavigateUrl="~/Protected/Loyalty/LoyaltyTessere.aspx">
                    <ContentTemplate>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:130px 40px;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/TessFid128.png" />
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblLoyaltyTessere" runat="server" Font-Size="20px" Text="Tessere"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
            </telerik:TileGroup>

            <telerik:TileGroup Title="Elementi Statistici">
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Height="170px" NavigateUrl="~/Protected/ElementiStatistici/PanieriArt.aspx">
                    <ContentTemplate>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:130px 40px;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image3" runat="server" ImageUrl="~/Images/PanieriArt128.png" />
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblPanieriArt" runat="server" Font-Size="20px" Text="Panieri Articoli"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>               
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Height="170px">
                    <ContentTemplate>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:130px 40px;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image4" runat="server" ImageUrl="~/Images/ListeCliFid128.png" />
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblListeCliFid" runat="server" Font-Size="20px" Text="Liste Clienti"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>               
            </telerik:TileGroup>

            <telerik:TileGroup Title="">
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Text="Stampe" Height="170px" NavigateUrl="Reports.aspx">
                    <ContentTemplate>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:130px 40px;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image2" runat="server" ImageUrl="~/Images/Printer128.png" />
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblReports" runat="server" Font-Size="20px" Text="Reports"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>    
            </telerik:TileGroup>
        </Groups>
    </telerik:RadTileList>
</asp:Content>
